VeighNa量化社区
你的开源社区量化交易平台
Member
avatar
加入于:
帖子: 3
声望: 0

2022-04-19 22:32:31 --------------------------------------------------
2022-04-19 22:32:31 VeighNa Trader进程启动
2022-04-19 22:32:32 C:\veighna_studio\lib\site-packages\vnpy\trader\setting.py:32: PytzUsageWarning: The zone attribute is specific to pytz's interface; please migrate to a new time zone provider. For more details on how to do so, see https://pytz-deprecation-shim.readthedocs.io/en/latest/migration.html
"database.timezone": get_localzone().zone,
2022-04-19 22:32:32 CFrdRegister.....Init...version:frd_frame_1.02.06_20190413.17:59:18
2022-04-19 22:32:32 CFrdRegister.....Init...version:frd_frame_1.02.06_20190413.17:59:18
2022-04-19 22:32:32 Traceback (most recent call last):
File "C:\veighna_studio\lib\site-packages\vnpy\trader\datafeed.py", line 49, in get_datafeed
2022-04-19 22:32:32 module = import_module(module_name)
File "C:\veighna_studio\lib\importlib__init__.py", line 126, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
File "<frozen importlib._bootstrap>", line 1050, in _gcd_import
File "<frozen importlib._bootstrap>", line 1027, in _find_and_load
2022-04-19 22:32:32 File "<frozen importlib._bootstrap>", line 1004, in _find_and_loadunlocked
ModuleNotFoundError: No module named 'vnpy
'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "C:\veighna_studio\lib\runpy.py", line 196, in _run_module_as_main
return _run_code(code, main_globals, None,
File "C:\veighna_studio\lib\runpy.py", line 86, in _run_code
exec(code, run_globals)
File "build\bdist.win-amd64\egg\veighna_station\trader.py", line 39, in <module>
File "build\bdist.win-amd64\egg\veighna_station\trader.py", line 30, in run_trader
File "C:\veighna_studio\lib\site-packages\vnpy\trader\engine.py", line 103, in add_app
engine = self.add_engine(app.engine_class)
File "C:\veighna_studio\lib\site-packages\vnpy\trader\engine.py", line 74, in add_engine
engine = engine_class(self, self.event_engine)
File "C:\veighna_studio\lib\site-packages\vnpy_ctastrategy\engine.py", line 107, in init
self.datafeed: BaseDatafeed = get_datafeed()
File "C:\veighna_studio\lib\site-packages\vnpy\trader\datafeed.py", line 51, in get_datafeed
print(f"\u627e\u4e0d\u5230\u6570\u636e\u670d\u52a1\u9a71\u52a8{module_name}\uff0c\u4f7f\u7528\u9ed8\u8ba4\u7684RQData\u6570\u636e\u670d\u52a1")
File "C:\veighna_studio\lib\encodings\cp1252.py", line 19, in encode
return codecs.charmap_encode(input,self.errors,encoding_table)[0]
UnicodeEncodeError: 'charmap' codec can't encode characters in position 0-8: character maps to <undefined>

之前的版本安装使用正常的,今天重新下载,就无法打开交易板块了,其他板块显示正常,请问大佬们是什么原因?

Member
avatar
加入于:
帖子: 311
声望: 17

你的操作系统是英文的吗?换成中文试试

Member
avatar
加入于:
帖子: 3
声望: 0

2022-04-20 12:19:10 Traceback (most recent call last):
File "C:\veighna_studio\lib\site-packages\vnpy\trader\datafeed.py", line 49, in get_datafeed
module = import_module(module_name)
File "C:\veighna_studio\lib\importlib__init__.py", line 126, in import_module
2022-04-20 12:19:10 return _bootstrap._gcd_import(name[level:], package, level)
File "<frozen importlib._bootstrap>", line 1050, in _gcd_import
File "<frozen importlib._bootstrap>", line 1027, in _find_and_load
File "<frozen importlib._bootstrap>", line 1004, in _find_and_loadunlocked
ModuleNotFoundError: No module named 'vnpy
'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "C:\veighna_studio\lib\runpy.py", line 196, in _run_module_as_main
return _run_code(code, main_globals, None,
File "C:\veighna_studio\lib\runpy.py", line 86, in _run_code
exec(code, run_globals)
File "build\bdist.win-amd64\egg\veighna_station\trader.py", line 39, in <module>
File "build\bdist.win-amd64\egg\veighna_station\trader.py", line 30, in run_trader
File "C:\veighna_studio\lib\site-packages\vnpy\trader\engine.py", line 103, in add_app
engine = self.add_engine(app.engine_class)
File "C:\veighna_studio\lib\site-packages\vnpy\trader\engine.py", line 74, in add_engine
engine = engine_class(self, self.event_engine)
File "C:\veighna_studio\lib\site-packages\vnpy_ctastrategy\engine.py", line 107, in init
2022-04-20 12:19:10 self.datafeed: BaseDatafeed = get_datafeed()
File "C:\veighna_studio\lib\site-packages\vnpy\trader\datafeed.py", line 51, in get_datafeed
print(f"\u627e\u4e0d\u5230\u6570\u636e\u670d\u52a1\u9a71\u52a8{module_name}\uff0c\u4f7f\u7528\u9ed8\u8ba4\u7684RQData\u6570\u636e\u670d\u52a1")
File "C:\veighna_studio\lib\encodings\cp1252.py", line 19, in encode
return codecs.charmap_encode(input,self.errors,encoding_table)[0]
UnicodeEncodeError: 'charmap' codec can't encode characters in position 0-8: character maps to <undefined>

我解决了timezone的问题,换成了中文操作系统,上述这些报错还是不行呢

Super Moderator
avatar
加入于:
帖子: 529
声望: 43

编码格式还是没改过来,参考这个试试https://jingyan.baidu.com/article/54b6b9c0a0c4d72d583b470b.html

Member
avatar
加入于:
帖子: 3
声望: 0

问题解决了,谢谢!

© 2015-2022 上海韦纳软件科技有限公司
备案服务号:沪ICP备18006526号-3

沪公网安备 31011502017034号

【用户协议】
【隐私政策】
【免责条款】